#include <fx.h>
#include <stdio.h>
#include <stdlib.h>

class C$$Root$$Window : public FXMainWindow
{
	FXDECLARE(C$$Root$$Window)

// Services
public:
	C$$Root$$Window(FXApp* a);

protected:
	C$$Root$$Window() {}
    
// Operations
public:
	void create();

// Attributes
private:
$$IF(STATUSBAR)
	FXStatusbar* statusbar;
$$ENDIF
$$IF(FILEMENU)
	FXMenuBar* menubar;
	FXMenuPane* filemenu;
$$ENDIF
$$IF(ADDFRAME)
	FXHorizontalFrame* contents;
$$ENDIF
};

FXDEFMAP(C$$Root$$Window) $$Root$$Map[]=
{
	0,0
};

FXIMPLEMENT(C$$Root$$Window,FXMainWindow,$$Root$$Map,ARRAYNUMBER($$Root$$Map))
  
C$$Root$$Window::C$$Root$$Window(FXApp* a):FXMainWindow(a,"$$Root$$ - Untitled",NULL,NULL,DECOR_ALL,0,0,400,200)
{
$$IF(FILEMENU)
	// Tooltip
	new FXTooltip(getApp());

	// Menubar
	menubar=new FXMenuBar(this,LAYOUT_SIDE_TOP|LAYOUT_FILL_X);

	// Separator
	new FXHorizontalSeparator(this,LAYOUT_SIDE_TOP|LAYOUT_FILL_X|SEPARATOR_GROOVE);

	// File Menu
	filemenu=new FXMenuPane(getApp());
	new FXMenuCommand(filemenu,"&Quit",NULL,getApp(),FXApp::ID_QUIT,0);
	new FXMenuTitle(menubar,"&File",NULL,filemenu);

$$ENDIF
$$IF(STATUSBAR)
	statusbar = new FXStatusbar(this,FRAME_NONE|LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X|STATUSBAR_WITH_DRAGCORNER);

$$ENDIF
$$IF(ADDFRAME)
	// Contents
	contents=new FXHorizontalFrame(this,LAYOUT_SIDE_TOP|FRAME_SUNKEN|LAYOUT_FILL_X|LAYOUT_FILL_Y|PACK_UNIFORM_WIDTH);

$$ENDIF
}
  
void C$$Root$$Window::create()
{
	FXMainWindow::create();
	show();
}

int main(int argc,char *argv[])
{
	// Make application
	FXApp* application=new FXApp("$$Root$$","Test");

	// Open display
	application->init(argc,argv);

	new C$$Root$$Window(application);

	// Create app
	application->create();

	// Run
	application->run();

	return 0;
}

