// cstm1dlg.cpp : implementation file
//

#include "stdafx.h"
#include "FOXWizard.h"
#include "cstm1dlg.h"
#include "FOXWizardaw.h"

#ifdef _PSEUDO_DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCustom1Dlg dialog


CCustom1Dlg::CCustom1Dlg()
	: CAppWizStepDlg(CCustom1Dlg::IDD)
{
	//{{AFX_DATA_INIT(CCustom1Dlg)
	m_bSDIApp = TRUE;
	m_bMDIApp = FALSE;
	m_bAddFile = FALSE;
	m_bAddStatusBar = FALSE;
	m_bAddToolBar = FALSE;
	//}}AFX_DATA_INIT
}


void CCustom1Dlg::DoDataExchange(CDataExchange* pDX)
{
	CAppWizStepDlg::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCustom1Dlg)
	DDX_Radio(pDX, IDC_SDIAPP, m_bSDIApp);
	DDX_Radio(pDX, IDC_MDIAPP, m_bMDIApp);
	DDX_Check(pDX, IDC_ADDFILE, m_bAddFile);
	DDX_Check(pDX, IDC_ADDSTATUSBAR, m_bAddStatusBar);
	DDX_Check(pDX, IDC_ADDTOOLBAR, m_bAddToolBar);
	//}}AFX_DATA_MAP
}

// This is called whenever the user presses Next, Back, or Finish with this step
//  present.  Do all validation & data exchange from the dialog in this function.
BOOL CCustom1Dlg::OnDismiss()
{
	if (!UpdateData(TRUE))
		return FALSE;

	// TODO: Set template variables based on the dialog's data.
	if ( m_bSDIApp )
		FOXWizardaw.m_Dictionary.SetAt("SDIAPP","TRUE");

	if ( m_bAddFile )
		FOXWizardaw.m_Dictionary.SetAt("FILEMENU","TRUE");

	if ( m_bAddStatusBar )
		FOXWizardaw.m_Dictionary.SetAt("STATUSBAR","TRUE");

	if ( m_bAddToolBar )
		FOXWizardaw.m_Dictionary.SetAt("TOOLBAR","TRUE");

	if ( m_bAddToolBar || m_bAddStatusBar || m_bAddToolBar )
		FOXWizardaw.m_Dictionary.SetAt("ADDFRAME","TRUE");

	return TRUE;	// return FALSE if the dialog shouldn't be dismissed
}


BEGIN_MESSAGE_MAP(CCustom1Dlg, CAppWizStepDlg)
	//{{AFX_MSG_MAP(CCustom1Dlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CCustom1Dlg message handlers
